public static interface MllpEndpointBuilderFactory.MllpBuilders
| Modifier and Type | Method and Description |
|---|---|
default MllpEndpointBuilderFactory.MllpEndpointBuilder |
mllp(String path)
MLLP (camel-mllp)
Communicate with external systems using the MLLP protocol.
|
default MllpEndpointBuilderFactory.MllpEndpointBuilder |
mllp(String componentName,
String path)
MLLP (camel-mllp)
Communicate with external systems using the MLLP protocol.
|
default MllpEndpointBuilderFactory.MllpEndpointBuilder mllp(String path)
mllp:hostname:port
Path parameter: hostname (required)
Hostname or IP for connection for the TCP connection. The default
value is null, which means any local IP address
Path parameter: port (required)
Port number for the TCP connectionpath - hostname:portdefault MllpEndpointBuilderFactory.MllpEndpointBuilder mllp(String componentName, String path)
mllp:hostname:port
Path parameter: hostname (required)
Hostname or IP for connection for the TCP connection. The default
value is null, which means any local IP address
Path parameter: port (required)
Port number for the TCP connectioncomponentName - to use a custom component name for the endpoint
instead of the default namepath - hostname:portApache Camel